repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
      - id: end-of-file-fixer
      - id: trailing-whitespace
        args:
          - --markdown-linebreak-ext=md
      - id: check-docstring-first
      - id: requirements-txt-fixer
      - id: check-merge-conflict
      - id: no-commit-to-branch
        args:
          - "--branch"
          - "main"
      - id: check-symlinks
      - id: detect-private-key
      - id: detect-aws-credentials
        args:
          - --allow-missing-credentials
      - id: check-toml
      - id: check-json
  - repo: https://github.com/pycqa/flake8
    rev: 6.0.0
    hooks:
      - id: flake8
        language_version: python3.9
  - repo: https://github.com/psf/black
    rev: 22.12.0
    hooks:
      - id: black
        language_version: python3.9
  - repo: https://github.com/adrienverge/yamllint
    rev: v1.28.0
    hooks:
      - id: yamllint
  - repo: https://github.com/markdownlint/markdownlint
    rev: v0.12.0
    hooks:
      - id: markdownlint
        additional_dependencies: [rake]
  - repo: https://github.com/maxbrunet/pre-commit-renovate
    rev: 34.73.2
    hooks:
      - id: renovate-config-validator
  - repo: https://github.com/pycqa/isort
    rev: 5.11.4
    hooks:
      - id: isort
  - repo: https://github.com/AleksaC/hadolint-py
    rev: v2.10.0
    hooks:
      - id: hadolint
